Supply-chain relationship
curl --request GET \
--url https://astreus.ai/api/v1/companies/{id}/supply-chain/{edgeKey} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/companies/{id}/supply-chain/{edgeKey}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/companies/{id}/supply-chain/{edgeKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supply_chain_edge": {
"company": {
"cik": "0001045810",
"name": "NVIDIA CORP",
"ticker": "NVDA"
},
"relationship": {
"edge_key": "2178ffc83e8605da2ac5ac20448111ee7a419e71",
"kind": "supply",
"role_for_subject": "supplier",
"scope": "direct_commercial",
"other_party": {
"counterparty_id": 1182,
"kind": "public_company",
"name": "Fabrinet",
"cik": "0001408710",
"ticker": "FN"
},
"direction": "disclosed_by_other",
"assertion_count": 15,
"latest_period_end": "2026-06-26",
"freshness": {
"latest_public_at": "2026-08-18T11:12:07.000Z",
"stale": false,
"superseded": false
},
"metrics": [
{
"metric": "attributed_revenue_amount",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2025-06-28",
"period_end": "2026-06-26",
"periodicity": "annual",
"value": "756498811",
"unit": "USD",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [
"derived_from_rounded_pct"
],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 426,
"quant_id": 7191,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::attributed_revenue_amount::7191"
},
"low": "754178262.5",
"high": "758819359.5",
"currency": "USD"
},
{
"metric": "discloser_revenue_pct",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2025-06-28",
"period_end": "2026-06-26",
"periodicity": "annual",
"value": "16.3",
"unit": "pct",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 426,
"quant_id": 7190,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::discloser_revenue_pct::7190"
},
"low": "16.25",
"high": "16.35"
},
{
"metric": "receivables_pct",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2024-06-29",
"period_end": "2025-06-27",
"periodicity": "annual",
"value": "25.5",
"unit": "pct",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 424,
"quant_id": 7187,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::receivables_pct::7187"
},
"low": "25.45",
"high": "25.55"
}
]
},
"as_of": null,
"history": [
{
"metric": "attributed_revenue_amount",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2025-06-28",
"period_end": "2026-06-26",
"periodicity": "annual",
"value": "756498811",
"unit": "USD",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [
"derived_from_rounded_pct"
],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 426,
"quant_id": 7191,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::attributed_revenue_amount::7191"
},
"low": "754178262.5",
"high": "758819359.5",
"currency": "USD"
},
{
"metric": "discloser_revenue_pct",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2025-06-28",
"period_end": "2026-06-26",
"periodicity": "annual",
"value": "16.3",
"unit": "pct",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 426,
"quant_id": 7190,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::discloser_revenue_pct::7190"
},
"low": "16.25",
"high": "16.35"
},
{
"metric": "attributed_revenue_amount",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2024-06-29",
"period_end": "2025-06-27",
"periodicity": "annual",
"value": "943734252",
"unit": "USD",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [
"derived_from_rounded_pct"
],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"public_at": "2026-08-18T11:12:07.000Z",
"evidence_id": 421,
"quant_id": 7184,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::attributed_revenue_amount::7184"
},
"low": "942024588.5",
"high": "945443915.5",
"currency": "USD"
},
{
"metric": "attributed_revenue_amount",
"whose": {
"cik": "0001408710",
"name": "Fabrinet"
},
"period_start": "2024-06-29",
"period_end": "2025-06-27",
"periodicity": "annual",
"value": "943734252",
"unit": "USD",
"approximate": true,
"state": "eligible",
"reasons": [],
"notes": [
"derived_from_rounded_pct"
],
"provenance": {
"discloser_cik": "0001408710",
"accession": "0001408710-25-000039",
"public_at": "2025-08-19T11:13:26.000Z",
"evidence_id": 413,
"quant_id": 7171,
"fact_source_key": "rel::2178ffc83e8605da2ac5ac20448111ee7a419e71::attributed_revenue_amount::7171"
},
"low": "942024588.5",
"high": "945443915.5",
"currency": "USD"
}
],
"evidence": [
{
"evidence_id": 426,
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"source_kind": "xbrl_pct",
"subject_role": "supplier",
"other_party_raw": "fn:NvidiaCorporationMember",
"other_party_kind": "named",
"scope": "direct_commercial",
"benchmark": "us-gaap:SalesRevenueNetMember",
"benchmark_family": "revenue",
"pct": "16.3",
"pct_precision_pp": "0.05",
"amount": null,
"currency": null,
"bound": null,
"period_start": "2025-06-28",
"period_end": "2026-06-26",
"periodicity": "annual",
"scope_dimensions": [],
"public_at": "2026-08-18T11:12:07.000Z",
"public_precision": "instant",
"locator": {
"concept": "us-gaap:ConcentrationRiskPercentage1",
"context_id": "c-400",
"context_hash": "f7ac1eb2d2764b30ec9fa396c61f807eaaa6027030781f785494ebfe7d02633d",
"source_fact_id": 56733197
}
},
{
"evidence_id": 424,
"discloser_cik": "0001408710",
"accession": "0001408710-26-000028",
"source_kind": "xbrl_pct",
"subject_role": "supplier",
"other_party_raw": "fn:NvidiaCorporationMember",
"other_party_kind": "named",
"scope": "direct_commercial",
"benchmark": "us-gaap:AccountsReceivableMember",
"benchmark_family": "receivables",
"pct": "25.5",
"pct_precision_pp": "0.05",
"amount": null,
"currency": null,
"bound": null,
"period_start": "2024-06-29",
"period_end": "2025-06-27",
"periodicity": "annual",
"scope_dimensions": [],
"public_at": "2026-08-18T11:12:07.000Z",
"public_precision": "instant",
"locator": {
"concept": "us-gaap:ConcentrationRiskPercentage1",
"context_id": "c-410",
"context_hash": "799c5ce67c99e047d34350f52392ebdbceb2315254c01bb309e56cb0cc5bec40",
"source_fact_id": 56733207
}
}
]
}
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Company Data
Supply-chain relationship
One relationship in full: current metrics, every served measurement period (eligible and withheld with reasons) and the evidence rows behind it (discloser, accession, XBRL context, quote locator). The edge must belong to the company in the path.
GET
/
api
/
v1
/
companies
/
{id}
/
supply-chain
/
{edgeKey}
Supply-chain relationship
Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
Ticker symbol (e.g. NVDA), numeric SEC CIK (zero-padding optional), or the platform key of a non-SEC issuer (e.g. XSAU000001 — the cik field of the company payload). A bare ticker always resolves to the SEC registrant.
edge_key from the supply-chain list.
Query Parameters
YYYY-MM-DD: public information through the end of that UTC date.
Response
OK
The response is of type object.